@echo off
REM UTILITY TO FIND/REPLACE TEXT IN BIT *.TXT FILES
REM By jaydeel @ipcamtalk.com
REM
REM For a BIT *.txt file containing text like "West 5.5 mph 8 mph gusts"
REM replace first "mph " in to "map\n" (\n = newline)
REM 
REM Refs...
REM FNR utility... http://findandreplace.io/
REM About REGEX expression... https://tinyurl.com/y89aowug
REM
REM MOVE THE WINDDESCRIPTION TEXT FILE FROM BIT'S HOME FOLDER TO USER's FOLDER. 
REM Why? 'C:\Program Files (x86)' is a protected folder
REM NOTE: DO NOT TERMINATE DIRECTORIES WITH '\'
set source_dir="C:\Program Files (x86)\Blue Iris Tools\txt"
set source_file="winddescription.txt"
set dest_dir="D:\Blue Iris\My Weather\bit"
set dest_file="winddescription.txt"
copy %source_dir%\%source_file% %dest_dir%\%dest_file% /Y
REM
REM USE 3RD-PARTY UTILITY 'FNR' TO REPLACE THE FIRST OCCURENCE OF 'mph ' TO 'mph\n'
set find_str="(?<!mph.*)mph." 
set replace_str="mph\n" 
"C:\bin\fnr.exe" --cl --dir %dest_dir% --fileMask %dest_file% --useRegEx --useEscapeChars --find %find_str% --replace %replace_str%